; $Id: computecrisdatabufferrates.pro,v 1.1 1998/03/09 18:10:33 rgr Exp $

; $RCSfile: computecrisdatabufferrates.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:10:33 $
; $Revision: 1.1 $

pro computeCrisDataBufferRates, lp, engr

   common CrisSymbols

   NBUF = G$_Cris.NumEvtBuffers
   OFFSET = G$_Cris.BufferIdOffset
   Z1 = G$_Cris.Z1Buffer
   Z2 = G$_Cris.Z2Buffer

   livetim = (engr.livetim > 1.0e-6)
   helivet = (engr.helivet > 1.0e-6)
   hylivet = (engr.hylivet > 1.0e-6)

   nevproc = engr.nevproc > 1.0
   nrebful = engr.nrebful 

   EfficiencyInverse = (nevproc + nrebful) / nevproc

   for i=0, NBUF-1 do begin
      type = findSisBufferType(i + OFFSET)
      case type of
         Z1 : begin
                 factor = EfficiencyInverse / hylivet
                 engr.DataBufferRate[i] = factor*lp.NumberEvents[i]
                 engr.QualityDataBufferRate[i] =                      $
                                             engr.QualityHylivet or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityNumberEvents
              end
         Z2 : begin
                 factor = EfficiencyInverse / helivet
                 engr.DataBufferRate[i] = factor*lp.NumberEvents[i]
                 engr.QualityDataBufferRate[i] =                      $
                                             engr.QualityHelivet or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityNumberEvents
              end
       ELSE : begin
                 factor = EfficiencyInverse / livetim
                 engr.DataBufferRate[i] = factor*lp.NumberEvents[i]
                 engr.QualityDataBufferRate[i] =                      $
                                             engr.QualityLivetim or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityNumberEvents
              end
      endcase
   endfor

end
