; $Id: plotsistimehistory.pro,v 1.1 1998/03/09 18:25:20 rgr Exp $

; $RCSfile: plotsistimehistory.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:25:20 $
; $Revision: 1.1 $

pro PlotSisTimeHistory, filename,                                      $
                        sec1996_0,                                     $
                        sec1996_1,                                     $
                        _EXTRA=extra,                                  $
                        PRINTER=printer,                               $
                        LANDSCAPE=landscape

   common SisSymbols

   QualityBits = G$_Sis.QualityFillLevel0Bit or                        $
                 G$_Sis.QualityFillLevel1Bit

   charsize = 1.0
   if (keyword_set(printer)) then begin
      charsize = 1.5
      OldPlotDevice = !d.name
      OldPmulti = !p.multi
      StringTime = strtrim(string(systime(1)), 2)
      PsFile = 'idl' + StringTime + '.ps'
      set_plot, 'PS'
      !p.multi=[0, 1, 4]
      if (keyword_set(landscape)) then                                 $
         device, /inches, /landscape, xoffset=0.75, yoffset=10.75,     $
                 xsize=9.5, ysize=7.0, filename=PsFile                 $
      else                                                             $
         device, /inches, /portrait, xoffset=0.75, yoffset=0.75,       $
                 xsize=7.0, ysize=9.5, filename=PsFile
   endif

   request = FetchAcePlotRequests(filename)
   nrequest = n_elements(request)
   nwin = 0
   for i=0, nrequest-1 do begin
      FetchSisTimeHistory, request(i), sec1996_0, sec1996_1, sec1996,  $
                           value, quality, title, units, ndata
      if (ndata le 0) then goto, NextRequest
      index = where((quality and QualityBits) eq 0B, count)
      if (count eq 0) then goto, NextRequest
      if (count lt ndata) then begin
         value = value(index)
         sec1996 = sec1996(index)
         ndata = count
      endif
      filter = request(i).MedianFilter
      if (filter gt 3) then begin
         index = where(value ne 0, count)
         if (count gt filter) then                                     $
            value(index) = median(value(index), filter)
      endif
      ylog = request(i).LogFlag
      yrange = [0.0, 0.0]
      if (request(i).AutoScaleFlag eq 0) then                          $
         yrange = request(i).yrange
      if (not keyword_set(printer)) then begin
         xpos = 15*(nwin mod 32)
         ypos = 600 - 18*(nwin mod 32)
         window, (nwin mod 32), xpos=xpos, ypos=ypos, xsize=600,       $
                 ysize=300, title=title
         Plot1996, sec1996, value, CHARSIZE=charsize, YLOG=ylog,       $
                   YRANGE=yrange, YTITLE=units, TITLE=title,           $
                   _EXTRA=extra
         nwin = nwin + 1
         if ((nwin mod 32) eq 0) then                                  $
            stop, 'Enter .continue for next set of plots'
      endif
      Plot1996, sec1996, value, CHARSIZE=charsize, YLOG=ylog,          $
                YRANGE=yrange, YTITLE=units, TITLE=title,              $
                _EXTRA=extra

      NextRequest:

   endfor

   if (keyword_set(printer)) then begin
      device, /close_file
      spawn,'lpr -r -P' + printer + ' ' + PsFile
      set_plot, OldPlotDevice
      !p.multi = OldPmulti
   endif

end
