; $Id: plotsisbrowse.pro,v 1.1 1998/01/26 17:56:05 rgr Exp $

; $RCSfile: plotsisbrowse.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:56:05 $
; $Revision: 1.1 $


pro PlotSisBrowse, sec0, sec1, _EXTRA=extra

   bp = get_group_browse_params_s(sec0, sec1)
   npoint = n_elements(bp)
   bp = bp(0:npoint-2)

   second1996 = long(bp.bin_start)
   ytitle = 'cts / sec-MeV/n-cm!E2!N-steradian'

   title='Helium  (3.7 to 7.4 MeV/n)'
   index = where((bp.WgtFactHeliumSubset gt 0.0) and                  $
                 (bp.FluxHeliumSubset gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHeliumSubset,        $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='CNO (7 to 15 MeV/n)'
   index = where((bp.WgtFactCnoSubset gt 0.0) and                     $
                 (bp.FluxCnoSubset gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCnoSubset,           $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Protons (6.5 to 7.5 MeV/n)'
   index = where((bp.WgtFactProton_6_5 gt 0.0) and                    $
                 (bp.FluxProton_6_5 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxProton_6_5,          $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Protons (7.5 to 14 MeV/n)'
   index = where((bp.WgtFactProton_7_5 gt 0.0) and                    $
                 (bp.FluxProton_7_5 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxProton_7_5,          $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Helium (3.7 to 4.8 MeV/n)'
   index = where((bp.WgtFactHelium_3_7 gt 0.0) and                    $
                 (bp.FluxHelium_3_7 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHelium_3_7,          $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Helium (4.8 to 7.4 MeV/n)'
   index = where((bp.WgtFactHelium_4_8 gt 0.0) and                    $
                 (bp.FluxHelium_4_8 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHelium_4_8,          $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Helium (7.4 to 14 MeV/n)'
   index = where((bp.WgtFactHelium_7_4 gt 0.0) and                    $
                 (bp.FluxHelium_7_4 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHelium_7_4,          $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Helium (14 to 45 MeV/n)'
   index = where((bp.WgtFactHelium_14 gt 0.0) and                     $
                 (bp.FluxHelium_14 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHelium_14,           $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (7 to 9.7 MeV/n)'
   index = where((bp.WgtFactCno_7 gt 0.0) and                         $
                 (bp.FluxCno_7 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCno_7,               $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (9.7 to 15 MeV/n)'
   index = where((bp.WgtFactCno_9_7 gt 0.0) and                       $
                 (bp.FluxCno_9_7 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCno_9_7,             $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (15 to 28 MeV/n)'
   index = where((bp.WgtFactCno_15 gt 0.0) and                        $
                 (bp.FluxCno_15 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCno_15,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='3!Ml!XZ!Ml!X9 (28 to 84 MeV/n)'
   index = where((bp.WgtFactCno_28 gt 0.0) and                        $
                 (bp.FluxCno_28 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxCno_28,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (9.4 to 13.6 MeV/n)'
   index = where((bp.WgtFactHiZ_9_4 gt 0.0) and                       $
                 (bp.FluxHiZ_9_4 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZ_9_4,             $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (13.6 to 21.4 MeV/n)'
   index = where((bp.WgtFactHiZ_13_6 gt 0.0) and                      $
                 (bp.FluxHiZ_13_6 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZ_13_6,            $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (21.4 to 41 MeV/n)'
   index = where((bp.WgtFactHiZ_21_4 gt 0.0) and                      $
                 (bp.FluxHiZ_21_4 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZ_21_4,            $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   title='Z!Mb!X10 (41 to 125 MeV/n)'
   index = where((bp.WgtFactHiZ_41 gt 0.0) and                        $
                 (bp.FluxHiZ_41 gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxHiZ_41,              $
           _EXTRA=extra, YTITLE=ytitle, TITLE=title

   ytitle = 'cts / sec-cm!E2!N-steradian'
   title='Penetrating (84 to !M$!X MeV/n)'
   index = where((bp.WgtFactPen gt 0.0) and                           $
                 (bp.FluxPen gt 0.0), ncount)
   if (ncount gt 0) then                                              $
      Plot1996, second1996(index), bp(index).FluxPen, _EXTRA=extra,   $
           YTITLE=ytitle, TITLE=title

end
