; $Id: computesisdataclassrates.pro,v 1.1 1998/02/20 23:17:16 rgr Exp $

; $RCSfile: computesisdataclassrates.pro,v $
; $Author: rgr $
; $Date: 1998/02/20 23:17:16 $
; $Revision: 1.1 $

pro computeSisDataClassRates, lp, engr

   common SisSymbols

   NBUF = G$_SIS.NumEvtBuffers
   NCLASS = G$_SIS.NumEvtClasses
   OFFSET = G$_SIS.BufferIdOffset
   Z1 = G$_Sis.Z1Buffer
   Z2 = G$_Sis.Z2Buffer

   livetim = (engr.livetim > 1.0e-6)
   helivet = (engr.helivet > 1.0e-6)
   hylivet = (engr.hylivet > 1.0e-6)

   clasacc = uncompressSisValue(lp.clasacc)
   clastot = uncompressSisValue(lp.clastot)

   EfficiencyInverse = fltarr(n_elements(lp), NCLASS)
   for i=0, NCLASS-1 do begin
      set = where (clasacc eq 0.0, nset)
      if (nset gt 0) then clasacc[set] = (clastot[set] > 1.0)
      EfficiencyInverse[*,i] = clastot[i,*] / clasacc[i,*]
   endfor

   for i=0, NBUF-1 do begin
      type = findSisBufferType(i + OFFSET)
      case type of
         Z1 : for j=0, NCLASS-1 do begin 
                 factor = EfficiencyInverse[*,j] / hylivet
                 engr.DataClassRate[j,i] = factor*lp.NumberEvents[j,i]
                 engr.QualityDataClassRate[j,i] =                     $
                                             engr.QualityHylivet or   $
                                             lp.QualityClasacc[j] or  $
                                             lp.QualityClastot[j] or  $
                                             lp.QualityNumberEvents
              endfor
         Z2 : for j=0, NCLASS-1 do begin 
                 factor = EfficiencyInverse[*,j] / helivet
                 engr.DataClassRate[j,i] = factor*lp.NumberEvents[j,i]
                 engr.QualityDataClassRate[j,i] =                     $
                                             engr.QualityHelivet or   $
                                             lp.QualityClasacc[j] or  $
                                             lp.QualityClastot[j] or  $
                                             lp.QualityNumberEvents
              endfor
       ELSE : for j=0, NCLASS-1 do begin 
                 factor = EfficiencyInverse[*,j] / livetim
                 engr.DataClassRate[j,i] = factor*lp.NumberEvents[j,i]
                 engr.QualityDataClassRate[j,i] =                     $
                                             engr.QualityLivetim or   $
                                             lp.QualityClasacc[j] or  $
                                             lp.QualityClastot[j] or  $
                                             lp.QualityNumberEvents
              endfor
      endcase
   endfor

end
