; $Id: computesisvalidrates.pro,v 1.1 1998/02/20 23:20:03 rgr Exp $

; $RCSfile: computesisvalidrates.pro,v $
; $Author: rgr $
; $Date: 1998/02/20 23:20:03 $
; $Revision: 1.1 $

pro computeSisValidRates, lp, engr

   factor = 1.0 / (engr.livetim > 1.0e-6)
   
   engr.ValidRate.m1a  = factor * UncompressSisValue(lp.VldcntsM1a)
   engr.ValidRate.m1ha = factor * UncompressSisValue(lp.VldcntsM1ha)
   engr.ValidRate.m2a  = factor * UncompressSisValue(lp.VldcntsM2a)
   engr.ValidRate.m2ha = factor * UncompressSisValue(lp.VldcntsM2ha)
   engr.ValidRate.t1a  = factor * UncompressSisValue(lp.VldcntsT1a)
   engr.ValidRate.t2a  = factor * UncompressSisValue(lp.VldcntsT2a)
   engr.ValidRate.t3a  = factor * UncompressSisValue(lp.VldcntsT3a)
   engr.ValidRate.t4a  = factor * UncompressSisValue(lp.VldcntsT4a)
   engr.ValidRate.t5a  = factor * UncompressSisValue(lp.VldcntsT5a)
   engr.ValidRate.t6a  = factor * UncompressSisValue(lp.VldcntsT6a)
   engr.ValidRate.t7a  = factor * UncompressSisValue(lp.VldcntsT7a)
   engr.ValidRate.t8a  = factor * UncompressSisValue(lp.VldcntsT8a)
   engr.ValidRate.m12a = factor * UncompressSisValue(lp.VldcntsM12a)
   engr.ValidRate.mora = factor * UncompressSisValue(lp.VldcntsMora)
   engr.ValidRate.hora = factor * UncompressSisValue(lp.VldcntsHora)
   engr.ValidRate.hiza = factor * UncompressSisValue(lp.VldcntsHiza)
   engr.ValidRate.MaybeHiza = factor *                                $
                               UncompressSisValue(lp.VldcntsMaybeHiza)
   engr.ValidRate.z2a       = factor *                                $
                                     UncompressSisValue(lp.VldcntsZ2a)
   engr.ValidRate.MaybeZ2a  = factor *                                $
                                UncompressSisValue(lp.VldcntsMaybeZ2a)
   engr.ValidRate.MaybeZ1a  = factor *                                $
                                UncompressSisValue(lp.VldcntsMaybeZ1a)
   engr.ValidRate.m1b  = factor * UncompressSisValue(lp.VldcntsM1b)
   engr.ValidRate.m1hb = factor * UncompressSisValue(lp.VldcntsM1hb)
   engr.ValidRate.m2b  = factor * UncompressSisValue(lp.VldcntsM2b)
   engr.ValidRate.m2hb = factor * UncompressSisValue(lp.VldcntsM2hb)
   engr.ValidRate.t1b  = factor * UncompressSisValue(lp.VldcntsT1b)
   engr.ValidRate.t2b  = factor * UncompressSisValue(lp.VldcntsT2b)
   engr.ValidRate.t3b  = factor * UncompressSisValue(lp.VldcntsT3b)
   engr.ValidRate.t4b  = factor * UncompressSisValue(lp.VldcntsT4b)
   engr.ValidRate.t5b  = factor * UncompressSisValue(lp.VldcntsT5b)
   engr.ValidRate.t6b  = factor * UncompressSisValue(lp.VldcntsT6b)
   engr.ValidRate.t7b  = factor * UncompressSisValue(lp.VldcntsT7b)
   engr.ValidRate.t8b  = factor * UncompressSisValue(lp.VldcntsT8b)
   engr.ValidRate.m12b = factor * UncompressSisValue(lp.VldcntsM12b)
   engr.ValidRate.morb = factor * UncompressSisValue(lp.VldcntsMorb)
   engr.ValidRate.horb = factor * UncompressSisValue(lp.VldcntsHorb)
   engr.ValidRate.hizb = factor * UncompressSisValue(lp.VldcntsHizb)
   engr.ValidRate.MaybeHizb = factor *                                $
                               UncompressSisValue(lp.VldcntsMaybeHizb)
   engr.ValidRate.z2b       = factor *                                $
                                     UncompressSisValue(lp.VldcntsZ2b)
   engr.ValidRate.MaybeZ2b  = factor *                                $
                                UncompressSisValue(lp.VldcntsMaybeZ2b)
   engr.ValidRate.MaybeZ1b  = factor *                                $
                                UncompressSisValue(lp.VldcntsMaybeZ1b)
   engr.ValidRate.RejFast   = factor *                                $
                                 UncompressSisValue(lp.VldcntsRejFast)
   engr.ValidRate.StimCoin  = factor *                                $
                                UncompressSisValue(lp.VldcntsStimCoin)
   engr.ValidRate.hazard    = factor *                                $
                                  UncompressSisValue(lp.VldcntsHazard)
   engr.ValidRate.adc2a     = factor *                                $
                                   UncompressSisValue(lp.VldcntsAdc2a)
   engr.ValidRate.adc3a     = factor *                                $
                                   UncompressSisValue(lp.VldcntsAdc3a)
   engr.ValidRate.adc2b     = factor *                                $
                                   UncompressSisValue(lp.VldcntsAdc2b)
   engr.ValidRate.adc3b     = factor *                                $
                                   UncompressSisValue(lp.VldcntsAdc3b)
   engr.ValidRate.CoinRate0 = factor *                                $
                               UncompressSisValue(lp.VldcntsCoinRate0)
   engr.ValidRate.CoinRate1 = factor *                                $
                               UncompressSisValue(lp.VldcntsCoinRate1)

   quality = lp.QualityNhdwrej or lp.QualityNrtproc                   $
                               or lp.QualityLivetim

   engr.QualityValidRate.m1a  = quality or lp.QualityVldcntsM1a
   engr.QualityValidRate.m1ha = quality or lp.QualityVldcntsM1ha
   engr.QualityValidRate.m2a  = quality or lp.QualityVldcntsM2a
   engr.QualityValidRate.m2ha = quality or lp.QualityVldcntsM2ha
   engr.QualityValidRate.t1a  = quality or lp.QualityVldcntsT1a
   engr.QualityValidRate.t2a  = quality or lp.QualityVldcntsT2a
   engr.QualityValidRate.t3a  = quality or lp.QualityVldcntsT3a
   engr.QualityValidRate.t4a  = quality or lp.QualityVldcntsT4a
   engr.QualityValidRate.t5a  = quality or lp.QualityVldcntsT5a
   engr.QualityValidRate.t6a  = quality or lp.QualityVldcntsT6a
   engr.QualityValidRate.t7a  = quality or lp.QualityVldcntsT7a
   engr.QualityValidRate.t8a  = quality or lp.QualityVldcntsT8a
   engr.QualityValidRate.m12a = quality or lp.QualityVldcntsM12a
   engr.QualityValidRate.mora = quality or lp.QualityVldcntsMora
   engr.QualityValidRate.hora = quality or lp.QualityVldcntsHora
   engr.QualityValidRate.hiza = quality or lp.QualityVldcntsHiza
   engr.QualityValidRate.MaybeHiza = quality or                       $
                                            lp.QualityVldcntsMaybeHiza
   engr.QualityValidRate.z2a       = quality or lp.QualityVldcntsZ2a
   engr.QualityValidRate.MaybeZ2a  = quality or                       $
                                             lp.QualityVldcntsMaybeZ2a
   engr.QualityValidRate.MaybeZ1a  = quality or                       $
                                             lp.QualityVldcntsMaybeZ1a
   engr.QualityValidRate.m1b  = quality or lp.QualityVldcntsM1b
   engr.QualityValidRate.m1hb = quality or lp.QualityVldcntsM1hb
   engr.QualityValidRate.m2b  = quality or lp.QualityVldcntsM2b
   engr.QualityValidRate.m2hb = quality or lp.QualityVldcntsM2hb
   engr.QualityValidRate.t1b  = quality or lp.QualityVldcntsT1b
   engr.QualityValidRate.t2b  = quality or lp.QualityVldcntsT2b
   engr.QualityValidRate.t3b  = quality or lp.QualityVldcntsT3b
   engr.QualityValidRate.t4b  = quality or lp.QualityVldcntsT4b
   engr.QualityValidRate.t5b  = quality or lp.QualityVldcntsT5b
   engr.QualityValidRate.t6b  = quality or lp.QualityVldcntsT6b
   engr.QualityValidRate.t7b  = quality or lp.QualityVldcntsT7b
   engr.QualityValidRate.t8b  = quality or lp.QualityVldcntsT8b
   engr.QualityValidRate.m12b = quality or lp.QualityVldcntsM12b
   engr.QualityValidRate.morb = quality or lp.QualityVldcntsMorb
   engr.QualityValidRate.horb = quality or lp.QualityVldcntsHorb
   engr.QualityValidRate.hizb = quality or lp.QualityVldcntsHizb
   engr.QualityValidRate.MaybeHizb = quality or                       $
                                            lp.QualityVldcntsMaybeHizb
   engr.QualityValidRate.z2b       = quality or lp.QualityVldcntsZ2b
   engr.QualityValidRate.MaybeZ2b  = quality or                       $
                                             lp.QualityVldcntsMaybeZ2b
   engr.QualityValidRate.MaybeZ1b  = quality or                       $
                                             lp.QualityVldcntsMaybeZ1b
   engr.QualityValidRate.RejFast   = quality or                       $
                                              lp.QualityVldcntsRejFast
   engr.QualityValidRate.StimCoin  = quality or                       $
                                             lp.QualityVldcntsStimCoin
   engr.QualityValidRate.hazard    = quality or                       $
                                               lp.QualityVldcntsHazard
   engr.QualityValidRate.adc2a     = quality or lp.QualityVldcntsAdc2a
   engr.QualityValidRate.adc3a     = quality or lp.QualityVldcntsAdc3a
   engr.QualityValidRate.adc2b     = quality or lp.QualityVldcntsAdc2b
   engr.QualityValidRate.adc3b     = quality or lp.QualityVldcntsAdc3b
   engr.QualityValidRate.CoinRate0 = quality or                       $
                                            lp.QualityVldcntsCoinRate0
   engr.QualityValidRate.CoinRate1 = quality or                       $
                                            lp.QualityVldcntsCoinRate1

end
