; $Id: unpacksiseventheader.pro,v 1.2 1998/01/28 19:50:44 rgr Exp $

; $RCSfile: unpacksiseventheader.pro,v $
; $Author: rgr $
; $Date: 1998/01/28 19:50:44 $
; $Revision: 1.2 $
   
pro UnpackSisEventHeader, telemetry, index, event 
  

   ; Unpack the flag values for the compressed event
   
   n = n_elements(index) - 1
   event[0:n].flag.stimulated = ishft(telemetry(index + 1), -7)
   event[0:n].flag.maybe = ishft(telemetry(index), -7)
   event[0:n].flag.hazard = ishft(telemetry(index + 2), -4) and '01'XB
   event[0:n].flag.PeakTime = ishft(telemetry(index + 2), -5) and '01'XB

   ; Unpack the remainder of the compressed event[0:n] header

   event[0:n].NumberBytes = telemetry(index) and '7f'XB
   event[0:n].BufferId = telemetry(index + 1) and '7f'XB
   PrimaryTelescope = ishft(telemetry(index + 2), -7)
   SecondTelescopeHit = ishft(telemetry(index + 2), -6) and '01'XB
   range = telemetry(index + 2) and '0f'XB
   event[0:n].OtherMatrixGroups =                                      $
                             ishft(telemetry(index + 3), -5) and '07'XB
   event[0:n].NumberMatrixStrips = telemetry(index + 3) and '1f'XB
   event[0:n].TimeTag = ishft(telemetry(index + 4), -5) and '07'XB
   event[0:n].phase = telemetry(index + 4) and '1f'XB
   index = index + 5

   set = where(PrimaryTelescope eq 0B, nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      event(set).StackAStatus = 1B
      event(set).StackBStatus = 0B
      event(set).RangeA = range(set)
      event(set).RangeB = 0B
   endif
   set = where(PrimaryTelescope eq 1B, nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      event(set).StackAStatus = 0B
      event(set).StackBStatus = 1B
      event(set).RangeA = 0B
      event(set).RangeB = range(set)
   endif

   set = where((event.StackAStatus eq 0B) and                         $
               (SecondTelescopeHit eq 1B), nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      event(set).StackAStatus = 2B
   endif
   set = where((event.StackBStatus eq 0B) and                         $
               (SecondTelescopeHit eq 1B), nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      event(set).StackBStatus = 2B
   endif

end
