; $Id: unpacksisstackphas.pro,v 1.1 1998/01/26 17:57:10 rgr Exp $

; $RCSfile: unpacksisstackphas.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:57:10 $
; $Revision: 1.1 $

pro UnpackSisStackPhas, telemetry, index, event

   ; Put fill data in for both telescopes.

   event.StackA = 'ffff'X
   event.StackB = 'ffff'X

   ; Replace the fill data for telescope A

   set = where(event.RangeA gt 0, ncount)
   if (ncount gt 0) then begin
      if (ncount eq 1) then set = set(0)
      MaxStack = max(event(set).RangeA)
      MaxStack = MaxStack + (MaxStack mod 2)
      stack = bytarr((12*MaxStack)/8, ncount, /nozero)
      mask = intarr(MaxStack, ncount, /nozero)
      mask(*,*) = 'ffff'X
      nbyte = (12*event(set).RangeA + 4)/8
      ibyte1 = index(set)
      ibyte2 = ibyte1 + nbyte - 1
      for i=0, ncount-1 do begin
         stack(0 : nbyte(i)-1, i) = telemetry(ibyte1(i) : ibyte2(i))
         mask(0 : event(set(i)).RangeA-1, i) = 0
      endfor
      stack = reform(stack, 3, MaxStack/2, ncount, /overwrite)
      address = 2*indgen(MaxStack/2)
      event(set).StackA(address) = mask(address, *) or                $
              reform(ishft(fix(stack(0,*,*)), 4) or                   $
                     ishft(fix(stack(1,*,*)), -4), MaxStack/2, ncount)
      address = address + 1
      event(set).StackA(address) = mask(address, *) or                $
                     reform(ishft(fix(stack(1,*,*) and '0f'XB), 8) or $
                                fix(stack(2,*,*)), MaxStack/2, ncount)
      index(set) = index(set) + nbyte
   endif
      
   ; Replace the fill data for telescope B

   set = where(event.RangeB gt 0, ncount)
   if (ncount gt 0) then begin
      if (ncount eq 1) then set = set(0)
      MaxStack = max(event(set).RangeB)
      MaxStack = MaxStack + (MaxStack mod 2)
      stack = bytarr((12*MaxStack)/8, ncount, /nozero)
      mask = intarr(MaxStack, ncount, /nozero)
      mask(*,*) = 'ffff'X
      nbyte = (12*event(set).RangeB + 4)/8
      ibyte1 = index(set)
      ibyte2 = ibyte1 + nbyte - 1
      for i=0, ncount-1 do begin
         stack(0 : nbyte(i)-1, i) = telemetry(ibyte1(i) : ibyte2(i))
         mask(0 : event(set(i)).RangeB-1, i) = 0
      endfor
      stack = reform(stack, 3, MaxStack/2, ncount, /overwrite)
      address = 2*indgen(MaxStack/2)
      event(set).StackB(address) = mask(address, *) or                $
              reform(ishft(fix(stack(0,*,*)), 4) or                   $
                     ishft(fix(stack(1,*,*)), -4), MaxStack/2, ncount)
      address = address + 1
      event(set).StackB(address) = mask(address, *) or                $
                     reform(ishft(fix(stack(1,*,*) and '0f'XB), 8) or $
                                fix(stack(2,*,*)), MaxStack/2, ncount)
      index(set) = index(set) + nbyte
   endif

end
